/****** CSS Document ******/
/*
   Written by Andrew Sonnek   
   THE VIRANT GROUP
   
   This stylesheet for use with Virant's pop-up web forms.
   
   Original: 2/13/2012
   Last modified: 3/7/2012
*/

/*************************************/
/**         Basic Elements          **/
/*************************************/

    html, body, h1, form, fieldset, legend, ol, li {
    margin: 0;
    padding: 0;
    }
    body {
    background: #ffffff;
    color: #323232;
    font-family: Franklin Gothic Book, Arial, Helvetica, sans-serif;
	font-size: 13px;
    font-weight: normal;
    padding: 20px;
	width: 640px;
    }
	
	div#form_header img {
		float: left;
		margin-right: 20px;
	}
	
	div#form_footer {
		text-align: center;
	}

/* Basic form styles */

    form {
    background: #d7d7d7;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    padding: 20px;
    width: 600px;
    }

/* Style fieldsets */
	
	form fieldset {
    border: none;
    margin-bottom: 10px;
    }
    form fieldset:last-of-type {
    margin-bottom: 0;
    }

/* Style legends to stand out like headers */
	
	form legend {
    color: #000000;
    font-size: 16px;
    font-weight: bold;
    padding-bottom: 10px;
    }
	
	/* Style nested fieldset legends so they look like field labels */
	
	form fieldset fieldset legend {
    color: #323232;
    font-size: 13px;
    font-weight: normal;
    padding-bottom: 0;
    }
	form fieldset fieldset legend label {
		width: 550px;
		float: none;
	}

/* Style the lists that contain the fields */

    form ul li {
    background: #b9cf6a;
    background: rgba(255,255,255,.3);
    border-color: #e3ebc3;
    border-color: rgba(255,255,255,.6);
    border-style: solid;
    border-width: 2px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    line-height: 30px;
    list-style: none;
    padding: 5px 10px;
    margin-bottom: 2px;
    }


/* Style the fields, labels and controls */

    form label {
		float: left;
    	font-size: 13px;
    	width: 200px;
    }
	
	form fieldset#goals label,
	form fieldset#environment label,
	form fieldset#user_input label {
		line-height: 18px;	
	}
	
	form fieldset#visual_components label {
		float: none;
		line-height: normal;
	}
	
    form input:not([type=checkbox]),
    form textarea {
    background: #ffffff;
    border: none;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    -khtml-border-radius: 3px;
    border-radius: 3px;
    font: italic 13px Georgia, "Times New Roman", Times, serif;
    outline: none;
    padding: 5px;
    width: 320px;
    }
    form input:not([type=submit]):focus,
    form textarea:focus {
    background: #eaeaea;
    }
    form input[type=checkbox] {
    margin-right: 5px;
    }

form fieldset#visualcomponents label {
	width: 500px;
}

/* Style buttons */

    form button {
    background: #384313;
    border: none;
    -moz-border-radius: 20px;
    -webkit-border-radius: 20px;
    -khtml-border-radius: 20px;
    border-radius: 20px;
    color: #ffffff;
    display: block;
    font: 18px Georgia, "Times New Roman", Times, serif;
    letter-spacing: 1px;
    margin: auto;
    padding: 7px 25px;
    text-shadow: 0 1px 1px #000000;
    text-transform: uppercase;
    }
    form button:hover {
    background: #1e2506;
    cursor: pointer;
    }
